This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 863281 - Rendering / performance issues with polymol on ATI FirePro V4800
Rendering / performance issues with polymol on ATI FirePro V4800
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 19:52 EDT by Adam Joseph Cook
Modified: 2014-02-05 07:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:27:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output with 'drm.debug=14' kernel parameter set (683.59 KB, text/plain)
2012-10-04 19:52 EDT, Adam Joseph Cook
no flags Details
All Xorg.*.log files (50.00 KB, application/x-gzip)
2012-10-04 19:53 EDT, Adam Joseph Cook
no flags Details
Output of glxinfo (25.33 KB, text/plain)
2012-10-04 19:54 EDT, Adam Joseph Cook
no flags Details

  None (edit)
Description Adam Joseph Cook 2012-10-04 19:52:13 EDT
Created attachment 621854 [details]
Dmesg output with 'drm.debug=14' kernel parameter set

Description of problem:
Test performed for Fedora 18 Alpha Radeon Test Day.

The rendering and performance of pymol on the ATI FirePro V4800 is abysmal. An image is produced, but the application is practically unusable. Upon starting pymol, the display window was already very slow (but not flickering). Demos could be rotated and panned, but significant lag was noted. Requests to increase or decrease the complexity of the models (via mouse wheel) were not responsive.

I found the same performance issues when attempting to run this test on my NVIDIA GeForce 6150SE (see the 'Additional info' section below). Therefore, I am not sure if this is a driver issue or a pymol issue.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64
pymol-1.5.0.2-5.20120218svn3982.fc18.x86_64

How reproducible:
Always.

Steps to Reproduce:
http://fedoraproject.org/wiki/QA:Testcase_radeon_3D_pymol
  
Actual results:
A very good description of the actual results is given here: https://bugzilla.redhat.com/show_bug.cgi?id=860228

Expected results:
Proper rendering of models with no noticeable performance effects or display artifacts.

Additional info:

* Smolt profile: http://www.smolts.org/client/show/pub_93c84bef-cc7a-4308-b3d6-42916961926b

* Output of running pymol in terminal:
 PyMOL(TM) Molecular Graphics System, Version 1.5.0.2.
 Copyright (c) Schrodinger, LLC.
 All Rights Reserved.
 
    Created by Warren L. DeLano, Ph.D. 
 
    PyMOL is user-supported open-source software.  Although some versions
    are freely available, PyMOL is not in the public domain.
 
    If PyMOL is helpful in your work or study, then please volunteer 
    support for our ongoing efforts to create open and affordable scientific
    software by purchasing a PyMOL Maintenance and/or Support subscription.

    More information can be found at "http://www.pymol.org".
 
    Enter "help" for a list of commands.
    Enter "help <command-name>" for information on a specific command.

 Hit ESC anytime to toggle between text and graphics.

 Detected OpenGL version 2.0 or greater.  Shaders available.
 Detected GLSL version 1.30.
 OpenGL graphics engine:
  GL_VENDOR: X.Org
  GL_RENDERER: Gallium 0.4 on AMD REDWOOD
  GL_VERSION: 2.1 Mesa 9.0-devel
 Detected 4 CPU cores.  Enabled multithreaded rendering.
PyMOL>ray
 Ray: render time: 0.35 sec. = 10143.4 frames/hour (0.35 sec. accum.).
 SelectorMapCoulomb: Total charge is -3.000 for 198 points (198 atoms).
 SelectorMapCoulomb: Evaluating Coulomb potential for grid (no cutoff)...
 PyMOL: normal program termination.
pure virtual method called
terminate called without an active exception
/usr/bin/pymol: line 3:  4843 Aborted                 (core dumped) /usr/bin/python /usr/lib64/python2.7/site-packages/pymol/__init__.py "$@"

* Similar bug I filed when performing this test on my NVIDIA GeForce 6150SE: https://bugzilla.redhat.com/show_bug.cgi?id=861656
Comment 1 Adam Joseph Cook 2012-10-04 19:53:29 EDT
Created attachment 621855 [details]
All Xorg.*.log files
Comment 2 Adam Joseph Cook 2012-10-04 19:54:31 EDT
Created attachment 621856 [details]
Output of glxinfo
Comment 3 Fedora End Of Life 2013-12-21 04:02:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 07:27:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.